Author Topic: Can I use VS 2008 with BRX 12....  (Read 3346 times)

0 Members and 1 Guest are viewing this topic.

sshri

  • Guest
Can I use VS 2008 with BRX 12....
« on: November 14, 2011, 06:51:12 AM »
Hello,

I am new to SDK development, so couple of queries
1.
Can we use VS 2008 with BRX 12 (or I am stuck with VS2005).
2.
Are there some additional samples apart from the one in the samples Directory
that I can look through.

thank you in advance
sshri

sshri

  • Guest
Hello,
Further to my earlier post,

I tried VS 2008 with BRX 12. Some simple programs compile
and run within briscad, but I wonder if I continue along this road,
I might not spend a lot of time debugging a problem because of not
using VS 2005.
Perhaps someone can throw some light, as I would really like a
single development platform of VS 2008.

sshri

owenwengerd

  • Bull Frog
  • Posts: 439
Re: Can I use VS 2008 with BRX 12....
« Reply #2 on: November 15, 2011, 03:09:56 PM »
The problem with using a different VC version is the mismatch in dynamically-linked CRT libraries and potential name-mangling changes from one compiler to the next. As long as you don't pass any changed MFC or CRT data structures into or out of API functions or call any exported templated functions, you won't have any problems -- however this is a significant limitation if you want to do any serious work.

sshri

  • Guest
Re: Can I use VS 2008 with BRX 12....
« Reply #3 on: November 21, 2011, 10:19:54 AM »
Hello,
Thank you for the reply. You are absolutely CORRECT....
1.
I checked the dependency of the Briscad exe and it indeed uses the 2005 MFC dll's.
I wonder when we will get a 2008 build, looks like we will have to wait till Ver 13..

2.
Lot of UI stuff (like CDialog/CControlBar for instance) give problems if we use VS 2008.
On 205, it works fine.

Looks like I am stuck with 2005/8/10 versions for the moment.

Thank you for the valuable feedback.
sshri

sshri

  • Guest
Re: Can I use VS 2008 with BRX 12....
« Reply #4 on: November 22, 2011, 12:33:02 PM »
Hello,

- I assume VS 2005 is the correct development environment for Briscad 12.
- I managed VS 2005 installs with difficulty in Win7 64 bit.
- Even simple samples do not compile.
I am checking out more tonight,  but perhaps someone has some pointers
for VS 2005 on Win7 64 bit (I had to install VS 2005 SP1).

This is another reason, why i would prefer VS 2008 as platform for briscad 12.
sshri


It's Alive!

  • BricsCAD
  • Needs a day job
  • Posts: 6941
  • AKA Daniel
Re: Can I use VS 2008 with BRX 12....
« Reply #5 on: November 22, 2011, 03:08:19 PM »
Hi

VS2005 with SP1 is the correct version for Bricscad v12
I am also using win7 64bit, but I don't recall having any issues installing.